summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Bryan Harris <bryanlharris@gmail.com>2016-08-06 07:08:35 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-07 18:55:32 +0700
commit61235d0ea03142abc0479c86e3db5ef768148841 (patch)
tree234a506e86ffe0dbc526898f174c05d14e5f3fb6 /development
parent50ee162f272cbf5566d445d38338cbe24e82470a (diff)
downloadslackbuilds-61235d0ea03142abc0479c86e3db5ef768148841.tar.gz
slackbuilds-61235d0ea03142abc0479c86e3db5ef768148841.tar.xz
development/sqldeveloper: Added (Oracle SQL Developer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/sqldeveloper/README13
-rw-r--r--development/sqldeveloper/doinst.sh3
-rw-r--r--development/sqldeveloper/slack-desc19
-rw-r--r--development/sqldeveloper/sqldeveloper.SlackBuild75
-rw-r--r--development/sqldeveloper/sqldeveloper.desktopbin0 -> 301 bytes
-rw-r--r--development/sqldeveloper/sqldeveloper.info10
6 files changed, 120 insertions, 0 deletions
diff --git a/development/sqldeveloper/README b/development/sqldeveloper/README
new file mode 100644
index 0000000000..0c365412b9
--- /dev/null
+++ b/development/sqldeveloper/README
@@ -0,0 +1,13 @@
+Oracle SQL Developer
+
+Oracle SQL Developer is a free integrated development environment
+that simplifies the development and management of Oracle Database in
+both traditional and Cloud deployments. SQL Developer offers complete
+end-to-end development of your PL/SQL applications, a worksheet for
+running queries and scripts, a DBA console for managing the database,
+a complete data modeling solution, and a migration platform for
+moving your 3rd party databases to Oracle.
+
+You need an Oracle account and you must Agree to Oracle's download
+agreement before this can be downloaded.
+You have to use a web browser to download it.
diff --git a/development/sqldeveloper/doinst.sh b/development/sqldeveloper/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/sqldeveloper/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/sqldeveloper/slack-desc b/development/sqldeveloper/slack-desc
new file mode 100644
index 0000000000..795e5bae5d
--- /dev/null
+++ b/development/sqldeveloper/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name,
+# and the '|'on the right side marks the last column you can put a
+# character in. You must make exactly 11 lines for the formatting to be
+# correct. It's also customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sqldeveloper: sqldeveloper (Oracle SQL Developer)
+sqldeveloper:
+sqldeveloper: Oracle SQL Developer is a free integrated development environment
+sqldeveloper: that simplifies the development and management of Oracle Database in
+sqldeveloper: both traditional and Cloud deployments. SQL Developer offers complete
+sqldeveloper: end-to-end development of your PL/SQL applications, a worksheet for
+sqldeveloper: running queries and scripts, a DBA console for managing the database,
+sqldeveloper: a complete data modeling solution, and a migration platform for
+sqldeveloper: moving your 3rd party databases to Oracle.
+sqldeveloper:
+sqldeveloper: http://oracle.com/technetwork/developer-tools/sql-developer
diff --git a/development/sqldeveloper/sqldeveloper.SlackBuild b/development/sqldeveloper/sqldeveloper.SlackBuild
new file mode 100644
index 0000000000..b951a0a5f2
--- /dev/null
+++ b/development/sqldeveloper/sqldeveloper.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for Oracle SQL Developer
+
+# Copyright 2015-2016 Giuseppe Di Terlizzi <giuseppe.diterlizzi@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sqldeveloper
+VERSION=${VERSION:-4.1.3.20.78}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT $PKG/opt/$PRGNAM
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip -d $PKG/opt $CWD/$PRGNAM-$VERSION-no-jre.zip
+cd $PKG/opt/
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+( cd $PKG
+
+ find -L . -name "*.exe" -exec rm -rf {} \;
+ find -L . -name "*.dll" -exec rm -rf {} \;
+ find -L . -name "*.bat" -exec rm -rf {} \;
+
+)
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/sqldeveloper.desktop $PKG/usr/share/applications
+
+sed -i -e "s#$PKG##" $PKG/opt/$PRGNAM/sqldeveloper.sh
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/bin
+ln -sf /opt/sqldeveloper/sqldeveloper/bin/sqldeveloper $PKG/usr/bin/sqldeveloper
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/sqldeveloper/sqldeveloper.desktop b/development/sqldeveloper/sqldeveloper.desktop
new file mode 100644
index 0000000000..279efa1257
--- /dev/null
+++ b/development/sqldeveloper/sqldeveloper.desktop
Binary files differ
diff --git a/development/sqldeveloper/sqldeveloper.info b/development/sqldeveloper/sqldeveloper.info
new file mode 100644
index 0000000000..477a910e06
--- /dev/null
+++ b/development/sqldeveloper/sqldeveloper.info
@@ -0,0 +1,10 @@
+PRGNAM="sqldeveloper"
+VERSION="4.1.3.20.78"
+HOMEPAGE="http://oracle.com/technetwork/developer-tools/sql-developer"
+DOWNLOAD="http://download.oracle.com/otn/java/sqldeveloper/sqldeveloper-4.1.3.20.78-no-jre.zip"
+MD5SUM="6e0794531f0391d8c436d08f224fd791"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Giuseppe Di Terlizzi"
+EMAIL="giuseppe.diterlizzi@gmail.com"